Performing C SOURCE FILE Test CMAKE_HAVE_LIBC_PTHREAD failed with the following output:
Change Dir: /home/sathishkumarv/space_com/lib/external/mbedtls/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/gmake cmTC_ad4b3/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_ad4b3.dir/build.make CMakeFiles/cmTC_ad4b3.dir/build
gmake[1]: Entering directory `/home/sathishkumarv/space_com/lib/external/mbedtls/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_ad4b3.dir/src.c.o
/usr/lib64/ccache/cc   -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCMAKE_HAVE_LIBC_PTHREAD   -o CMakeFiles/cmTC_ad4b3.dir/src.c.o   -c /home/sathishkumarv/space_com/lib/external/mbedtls/CMakeFiles/CMakeTmp/src.c
Linking C executable cmTC_ad4b3
/usr/bin/cmake3 -E cmake_link_script CMakeFiles/cmTC_ad4b3.dir/link.txt --verbose=1
/usr/lib64/ccache/cc  -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCMAKE_HAVE_LIBC_PTHREAD    CMakeFiles/cmTC_ad4b3.dir/src.c.o  -o cmTC_ad4b3 
CMakeFiles/cmTC_ad4b3.dir/src.c.o: In function `main':
src.c:(.text+0x2d): undefined reference to `pthread_create'
src.c:(.text+0x39): undefined reference to `pthread_detach'
src.c:(.text+0x45): undefined reference to `pthread_cancel'
src.c:(.text+0x56): undefined reference to `pthread_join'
src.c:(.text+0x6a): undefined reference to `pthread_atfork'
collect2: error: ld returned 1 exit status
gmake[1]: *** [cmTC_ad4b3] Error 1
gmake[1]: Leaving directory `/home/sathishkumarv/space_com/lib/external/mbedtls/CMakeFiles/CMakeTmp'
gmake: *** [cmTC_ad4b3/fast] Error 2


Source file was:
#include <pthread.h>

void* test_func(void* data)
{
  return data;
}

int main(void)
{
  pthread_t thread;
  pthread_create(&thread, NULL, test_func, NULL);
  pthread_detach(thread);
  pthread_cancel(thread);
  pthread_join(thread, NULL);
  pthread_atfork(NULL, NULL, NULL);
  pthread_exit(NULL);

  return 0;
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/sathishkumarv/space_com/lib/external/mbedtls/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/gmake cmTC_c0f88/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_c0f88.dir/build.make CMakeFiles/cmTC_c0f88.dir/build
gmake[1]: Entering directory `/home/sathishkumarv/space_com/lib/external/mbedtls/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_c0f88.dir/CheckFunctionExists.c.o
/usr/lib64/ccache/cc   -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_c0f88.dir/CheckFunctionExists.c.o   -c /usr/share/cmake3/Modules/CheckFunctionExists.c
Linking C executable cmTC_c0f88
/usr/bin/cmake3 -E cmake_link_script CMakeFiles/cmTC_c0f88.dir/link.txt --verbose=1
/usr/lib64/ccache/cc  -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCHECK_FUNCTION_EXISTS=pthread_create    CMakeFiles/cmTC_c0f88.dir/CheckFunctionExists.c.o  -o cmTC_c0f88  -lpthreads 
/usr/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
gmake[1]: *** [cmTC_c0f88] Error 1
gmake[1]: Leaving directory `/home/sathishkumarv/space_com/lib/external/mbedtls/CMakeFiles/CMakeTmp'
gmake: *** [cmTC_c0f88/fast] Error 2



Performing C SOURCE FILE Test CMAKE_HAVE_LIBC_PTHREAD failed with the following output:
Change Dir: /home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/gmake cmTC_7f5fd/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_7f5fd.dir/build.make CMakeFiles/cmTC_7f5fd.dir/build
gmake[1]: Entering directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_7f5fd.dir/src.c.o
/usr/lib64/ccache/cc   -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCMAKE_HAVE_LIBC_PTHREAD   -o CMakeFiles/cmTC_7f5fd.dir/src.c.o   -c /home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp/src.c
Linking C executable cmTC_7f5fd
/usr/bin/cmake3 -E cmake_link_script CMakeFiles/cmTC_7f5fd.dir/link.txt --verbose=1
/usr/lib64/ccache/cc  -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCMAKE_HAVE_LIBC_PTHREAD    CMakeFiles/cmTC_7f5fd.dir/src.c.o  -o cmTC_7f5fd 
CMakeFiles/cmTC_7f5fd.dir/src.c.o: In function `main':
src.c:(.text+0x2d): undefined reference to `pthread_create'
src.c:(.text+0x39): undefined reference to `pthread_detach'
src.c:(.text+0x45): undefined reference to `pthread_cancel'
src.c:(.text+0x56): undefined reference to `pthread_join'
src.c:(.text+0x6a): undefined reference to `pthread_atfork'
collect2: error: ld returned 1 exit status
gmake[1]: *** [cmTC_7f5fd] Error 1
gmake[1]: Leaving directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
gmake: *** [cmTC_7f5fd/fast] Error 2


Source file was:
#include <pthread.h>

void* test_func(void* data)
{
  return data;
}

int main(void)
{
  pthread_t thread;
  pthread_create(&thread, NULL, test_func, NULL);
  pthread_detach(thread);
  pthread_cancel(thread);
  pthread_join(thread, NULL);
  pthread_atfork(NULL, NULL, NULL);
  pthread_exit(NULL);

  return 0;
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/gmake cmTC_c9236/fast && /usr/bin/gmake  -f CMakeFiles/cmTC_c9236.dir/build.make CMakeFiles/cmTC_c9236.dir/build
gmake[1]: Entering directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_c9236.dir/CheckFunctionExists.c.o
/usr/lib64/ccache/cc   -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_c9236.dir/CheckFunctionExists.c.o   -c /usr/share/cmake3/Modules/CheckFunctionExists.c
Linking C executable cmTC_c9236
/usr/bin/cmake3 -E cmake_link_script CMakeFiles/cmTC_c9236.dir/link.txt --verbose=1
/usr/lib64/ccache/cc  -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCHECK_FUNCTION_EXISTS=pthread_create    CMakeFiles/cmTC_c9236.dir/CheckFunctionExists.c.o  -o cmTC_c9236  -lpthreads 
/usr/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
gmake[1]: *** [cmTC_c9236] Error 1
gmake[1]: Leaving directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
gmake: *** [cmTC_c9236/fast] Error 2



Performing C SOURCE FILE Test CMAKE_HAVE_LIBC_PTHREAD failed with the following output:
Change Dir: /home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/gmake cmTC_7056f/fast && gmake[1]: Entering directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
/usr/bin/gmake  -f CMakeFiles/cmTC_7056f.dir/build.make CMakeFiles/cmTC_7056f.dir/build
gmake[2]: Entering directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_7056f.dir/src.c.o
/usr/lib64/ccache/cc   -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCMAKE_HAVE_LIBC_PTHREAD   -o CMakeFiles/cmTC_7056f.dir/src.c.o   -c /home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp/src.c
Linking C executable cmTC_7056f
/usr/bin/cmake3 -E cmake_link_script CMakeFiles/cmTC_7056f.dir/link.txt --verbose=1
/usr/lib64/ccache/cc  -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCMAKE_HAVE_LIBC_PTHREAD    CMakeFiles/cmTC_7056f.dir/src.c.o  -o cmTC_7056f 
CMakeFiles/cmTC_7056f.dir/src.c.o: In function `main':
src.c:(.text+0x2d): undefined reference to `pthread_create'
src.c:(.text+0x39): undefined reference to `pthread_detach'
src.c:(.text+0x45): undefined reference to `pthread_cancel'
src.c:(.text+0x56): undefined reference to `pthread_join'
src.c:(.text+0x6a): undefined reference to `pthread_atfork'
collect2: error: ld returned 1 exit status
gmake[2]: *** [cmTC_7056f] Error 1
gmake[2]: Leaving directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
gmake[1]: *** [cmTC_7056f/fast] Error 2
gmake[1]: Leaving directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'


Source file was:
#include <pthread.h>

void* test_func(void* data)
{
  return data;
}

int main(void)
{
  pthread_t thread;
  pthread_create(&thread, NULL, test_func, NULL);
  pthread_detach(thread);
  pthread_cancel(thread);
  pthread_join(thread, NULL);
  pthread_atfork(NULL, NULL, NULL);
  pthread_exit(NULL);

  return 0;
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/gmake cmTC_558b8/fast && gmake[1]: Entering directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
/usr/bin/gmake  -f CMakeFiles/cmTC_558b8.dir/build.make CMakeFiles/cmTC_558b8.dir/build
gmake[2]: Entering directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_558b8.dir/CheckFunctionExists.c.o
/usr/lib64/ccache/cc   -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_558b8.dir/CheckFunctionExists.c.o   -c /usr/share/cmake3/Modules/CheckFunctionExists.c
Linking C executable cmTC_558b8
/usr/bin/cmake3 -E cmake_link_script CMakeFiles/cmTC_558b8.dir/link.txt --verbose=1
/usr/lib64/ccache/cc  -Wall -Wextra -Wwrite-strings -Wformat=2 -Wno-format-nonliteral -Wvla -Wlogical-op -Wshadow -Werror -DCHECK_FUNCTION_EXISTS=pthread_create    CMakeFiles/cmTC_558b8.dir/CheckFunctionExists.c.o  -o cmTC_558b8  -lpthreads 
/usr/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
gmake[2]: *** [cmTC_558b8] Error 1
gmake[2]: Leaving directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'
gmake[1]: *** [cmTC_558b8/fast] Error 2
gmake[1]: Leaving directory `/home/ext_con_usr_202202/review/space_com_14_06/lib/external/mbedtls/CMakeFiles/CMakeTmp'



